// ===========================================================================
//	MacCompatiblity				(c) 2006 Mark F. Coniglio. All rights reserved
// ===========================================================================
// defines types normally present under the Windows API so that code using
// these types can successfully compile under Mac OS X

#ifndef _H_MacCompatiblity
#define _H_MacCompatiblity

#include "IZDefinitions.h"

#if TARGET_OS_MAC

	void
	MessageBox(
		HWND		/* inWindow */,
		const char*	/* inMessage */,
		const char*	/* inTitle */,
		UInt32		/* inFlags */);
		
	const UInt32	MB_OK		= 1;

#endif

#endif
