// =================================================================================
//	3DDrawFlags				  �2002 Mark F. Coniglio -- All Rights Reserved.
// =================================================================================

#ifndef _H_3DDrawFlags
#define _H_3DDrawFlags

#include "VidProcessCommon.h"

// ----------------------------------------------------------------------
// CONSTANTS

enum {
	kBorderLeft		= (1L << 7),		// draw a border on the left edge
	kBorderTop		= (1L << 6),		// draw a border on the top edge
	kBorderRight	= (1L << 5),		// draw a border on the right edge
	kBorderBottom	= (1L << 4),		// draw a border on the bottom edge

	kSpaceLeft		= (1L << 3),		// insets the left edge by one pixel
	kSpaceTop		= (1L << 2),		// insets the top edge by one pixel
	kSpaceRight		= (1L << 1),		// insets the right edge by one pixel
	kSpaceBottom	= (1L << 0),		// insets the bottom edge by one pixel

	kTopBottomBorder	= (kBorderTop | kBorderBottom),
	kLeftRightBorder	= (kBorderLeft | kBorderRight),
	kBoxBorder			= (kBorderLeft | kBorderRight | kBorderTop | kBorderBottom)
};

typedef	UInt8		BorderFlags;

#endif
